Subject: Ticket Assigned - Order # 8262672313
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Sun, 23 May 2021 16:54:42 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order # 8262672313 The worst on-line experience ever!When I ordered, there is no indication in your receipt email of the time frame for delivery!...I learnt that it takes 3-5 business days when I called today to track it!I was very upset that I was not informed & cancelled the order, only to see that you do not even indicate that the refund will take 4 to 15 business days to be deposited into my bank account!!!
Before that, in the process of ordering it was a nightmare! I wanted to buy a piece of furniture to collect, the online app does not give that option. I called your call center, they told me the value of purchase has to be at least a 100kd for it to be delivered for free!So ipostponed my purchase, and adde to my shopping cart...still wont go through. So I called again, for yet another surprise!: the 100kd value has to be within the same category!!!
You are very misleading...terrible experience. I regeret dealing with u online. Your online service is crippled.
Thank you for the inconvenience!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2612732